using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram.Controls;
using Syncfusion.Windows.Forms.Diagram;


namespace Editing_a_Link_Label
{
	/// <summary>
	/// Summary description for RoundedRect.
	/// </summary>
	public class RoundedRect:Symbol
	{
		private Syncfusion.Windows.Forms.Diagram.RoundRect rr=null;
		private Syncfusion.Windows.Forms.Diagram.Label label=null;
		public RoundedRect()
		{
			//Add RoundRectangle
			this.rr=new RoundRect(180,280,180,78);
			rr.FillStyle.Color=Color.Gray;
			rr.Name="RoundedRectangle";
			rr.FillStyle.GradientAngle=270;
			this.AppendChild(rr);

			//Add Label to display the text Text in Rounded Rectangle
			this.label=this.AddLabel("RoundedRect",BoxPosition.Center);
			label.Name="Label";
			label.Text="Text in Rounded Rectangle";

		}
	}
}
